<div id="{{ idPrefix }}hall_of_inspiration_widget" class="mdc-card h-100">
    <div class="card-header p-3 d-flex mb-4">
        <div class="icon-thumbnail me-4 ms-0 align-text-top">
            <span>
                <i class="material-icons">
                    tips_and_updates
                </i>
            </span>
        </div>
        <div class="card-title align-self-center">
            <h2 class="mb-1 fs-4">Hall of Inspiration</h2>
            <p class="mb-0">Inspirierende Nutzungskonzepte</p>
        </div>
        <div class="ms-auto align-text-top">
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': idPrefix ~ 'hall_of_inspiration_widget',
                'listItems': [
                    {
                        'label': 'zu diesem Konzept',
                        'url': path('company_location_management_hall_of_inspiration_detail', {'id': hallOfInspirationConcept.getId()}),
                        'icon': 'visibility'
                    },
                    {
                        'label': 'mehr Inspiration',
                        'url': path('company_location_management_hall_of_inspiration_overview'),
                        'icon': 'tips_and_updates'
                    }
                ]
            } only %}
        </div>
    </div>
    <div class="card-body p-4 pt-0 h-100">
        <div class="row">
            <div class="col-5">
                {% if hallOfInspirationConcept.getMainImage() != null %}
                    {% if hallOfInspirationConcept.getMainImage().getPublicThumbnailUrl() != null %}
                        {% set image = hallOfInspirationConcept.getMainImage().getPublicThumbnailUrl() %}
                    {% else %}
                        {% set image = hallOfInspirationConcept.getMainImage().getPublicUrl() %}
                    {% endif %}
                {% else %}
                    {% set image = asset('build/images/no-image.jpg') %}
                {% endif %}
                <img class="img-fluid mdc-card" src="{{ image }}" alt="Foto zum Nutzungskonzept">
                <div class="d-flex mt-2">
                    {% if hallOfInspirationConcept.getInstagram() != null %}
                        <a href="{{ hallOfInspirationConcept.getInstagram() }}" target="_blank" class="flex-column ms-0">
                            <svg focusable="false" aria-hidden="true" viewBox="0 0 24 24" class="material-icons mdc-icon-button">
                                <path d="M7.8 2h8.4C19.4 2 22 4.6 22 7.8v8.4a5.8 5.8 0 0 1-5.8 5.8H7.8C4.6 22 2 19.4 2 16.2V7.8A5.8 5.8 0 0 1 7.8 2m-.2 2A3.6 3.6 0 0 0 4 7.6v8.8C4 18.39 5.61 20 7.6 20h8.8a3.6 3.6 0 0 0 3.6-3.6V7.6C20 5.61 18.39 4 16.4 4H7.6m9.65 1.5a1.25 1.25 0 0 1 1.25 1.25A1.25 1.25 0 0 1 17.25 8 1.25 1.25 0 0 1 16 6.75a1.25 1.25 0 0 1 1.25-1.25M12 7a5 5 0 0 1 5 5 5 5 0 0 1-5 5 5 5 0 0 1-5-5 5 5 0 0 1 5-5m0 2a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3z"></path>
                            </svg>
                        </a>
                    {% endif %}
                    {% if hallOfInspirationConcept.getLinkedIn() != null %}
                        <a href="{{ hallOfInspirationConcept.getLinkedIn() }}" target="_blank" class="flex-column ms-1">
                            <svg focusable="false" aria-hidden="true" viewBox="0 0 24 24" class="material-icons mdc-icon-button">
                                <path d="M19 3a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h14m-.5 15.5v-5.3a3.26 3.26 0 0 0-3.26-3.26c-.85 0-1.84.52-2.32 1.3v-1.11h-2.79v8.37h2.79v-4.93c0-.77.62-1.4 1.39-1.4a1.4 1.4 0 0 1 1.4 1.4v4.93h2.79M6.88 8.56a1.68 1.68 0 0 0 1.68-1.68c0-.93-.75-1.69-1.68-1.69a1.69 1.69 0 0 0-1.69 1.69c0 .93.76 1.68 1.69 1.68m1.39 9.94v-8.37H5.5v8.37h2.77z"></path>
                            </svg>
                        </a>
                    {% endif %}
                    {% if hallOfInspirationConcept.getWebsite() != null %}
                        <a href="{{ hallOfInspirationConcept.getWebsite() }}" target="_blank" class="flex-column ms-1">
                            <svg focusable="false" aria-hidden="true" viewBox="0 0 24 24" class="material-icons mdc-icon-button">
                                <path d="M19 4H5c-1.11 0-2 .9-2 2v12c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V6c0-1.1-.89-2-2-2zm0 14H5V8h14v10z"></path>
                            </svg>
                        </a>
                    {% endif %}
                    {% if hallOfInspirationConcept.getVideos() is not empty %}
                        <a href="{{ hallOfInspirationConcept.getVideos()|first }}" target="_blank" class="flex-column ms-1">
                            <svg focusable="false" aria-hidden="true" viewBox="0 0 24 24" class="material-icons mdc-icon-button">
                                <path d="M21 3H3c-1.11 0-2 .89-2 2v12c0 1.1.89 2 2 2h5v2h8v-2h5c1.1 0 1.99-.9 1.99-2L23 5c0-1.11-.9-2-2-2zm0 14H3V5h18v12zm-5-6-7 4V7z"></path>
                            </svg>
                        </a>
                    {% endif %}
                </div>
            </div>
            <div class="col-7">
                <p class="mb-2">
                    <strong>{{ hallOfInspirationConcept.getBrandName() }}</strong>
                </p>
                {% if hallOfInspirationConcept.getHallOfInspirationConceptBranches() is not empty %}
                    <div class="d-flex flex-wrap mb-3">
                        {% for branch in hallOfInspirationConcept.getHallOfInspirationConceptBranches() %}
                            <div class="branch px-2 py-1 me-2 mb-2">
                                <small>{{ branch.getName() }}</small>
                            </div>
                        {% endfor %}
                    </div>
                {% endif %}
                <p class="small">
                    {% if hallOfInspirationConcept.getConceptDescription()|length > 160 %}
                        {{ hallOfInspirationConcept.getConceptDescription()|slice(0,157) }}...
                    {% else %}
                        {{ hallOfInspirationConcept.getConceptDescription() }}
                    {% endif %}
                </p>
            </div>
        </div>
    </div>
</div>
